package com.zd.exam.domain;

import javax.validation.constraints.NotBlank;

import com.zd.common.core.valid.ValidGroup;
import org.hibernate.validator.constraints.Length;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 题目类型对象 el_exam_classify
 *
 * @author liubo
 * @date 2021-12-09
 */
@ApiModel("题目类型")
public class ElExamClassify extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 分类名称
     */
    @Excel(name = "分类名称")
    @NotBlank(groups = ValidGroup.Crud.Create.class, message = "分类名称不能为空")
    @Length(message = "分类名称长度不能超过255")
    @ApiModelProperty(value = "分类名称")
    private String title;

    /**
     * 分类类型 1 通用，2 专业
     */
    @ApiModelProperty(value = "分类类型 1 通用，2 专业")
    private Integer type;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
